package ec.gp.semantic.geometry;

import ec.gp.semantic.ISemantics;

/**
 * @author Tomasz Pawlak
 */
public interface IConvexHullDetector {

    public boolean isEmpty();

    public void clear();

    public int size();

    public void addSupportPoint(ISemantics semantics);

    public boolean isInConvexHull(ISemantics semantics);
}
